ru.bitel.bgbilling.kernel.contract.script.common.bean

## Class AdditionalContractAction

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.kernel.contract.script.common.bean.AdditionalContractAction

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem
  Direct Known Subclasses:
    AdditionalContractAction

      public class AdditionalContractAction
      extends IdTitle
      implements ListItem

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdditionalContractAction()`
    `AdditionalContractAction(int id, java.lang.String title)`
    `AdditionalContractAction(int id, java.lang.String title, java.lang.String description)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Получение описания действия для абонента.
    `void` | `setDescription(java.lang.String description)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId, getTitle`

- - ### Constructor Detail

    - #### AdditionalContractAction

          public AdditionalContractAction()

    - #### AdditionalContractAction

          public AdditionalContractAction(int id,
                                          java.lang.String title)

    - #### AdditionalContractAction

          public AdditionalContractAction(int id,
                                          java.lang.String title,
                                          java.lang.String description)

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

      Получение описания действия для абонента.
      Returns:

    - #### setDescription

          public void setDescription(java.lang.String description)